Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
tlp::GlSimpleEntity Class Reference

`#include <GlSimpleEntity.h>`

Inheritance diagram for tlp::GlSimpleEntity:
[legend]
Collaboration diagram for tlp::GlSimpleEntity:
[legend]

List of all members.

## Public Member Functions

- GlSimpleEntity ()
- virtual ~GlSimpleEntity ()
- virtual void draw (float lod, Camera *camera)=0
- virtual void acceptVisitor (GlSceneVisitor *visitor)
- virtual void setVisible (bool visible)
- bool isVisible ()
- virtual void setStencil (int stencil)
- int getStencil ()
- void setCheckByBoundingBoxVisitor (bool check)
- bool isCheckByBoundingBoxVisitor ()
- virtual BoundingBox getBoundingBox ()
- virtual void addLayerParent (GlLayer *)
- virtual void removeLayerParent (GlLayer *)
- void addParent (GlComposite *composite)
- void removeParent (GlComposite *composite)
- virtual void translate (const Coord &)
- virtual void getXML (xmlNodePtr rootNode)=0
- virtual void setWithXML (xmlNodePtr rootNode)=0

## Protected Attributes

- bool visible
- int stencil
- bool checkByBoundingBoxVisitor
- BoundingBox boundingBox
- std::vector< GlComposite * > parents

## Detailed Description

Base class for all simple entity (entity who not need GraphInputData

## Constructor & Destructor Documentation

tlp::GlSimpleEntity::GlSimpleEntity | ( |  | ) | `[inline]`

virtual tlp::GlSimpleEntity::~GlSimpleEntity | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void tlp::GlSimpleEntity::acceptVisitor | ( | GlSceneVisitor * | visitor | ) | `[inline, virtual]`

Accept visitor function

Implements tlp::GlEntity.

Reimplemented in tlp::GlComposite, tlp::GlConvexHull, and tlp::GlGraphComposite.

virtual void tlp::GlSimpleEntity::addLayerParent | ( | GlLayer * |  | ) | `[inline, virtual]`

Add a layer parent to this entity

Reimplemented in tlp::GlComposite.

void tlp::GlSimpleEntity::addParent | ( | GlComposite * | composite | ) |

Add a parent to this entity

virtual void tlp::GlSimpleEntity::draw | ( | float | lod,
|  | Camera * | camera
| ) |  | `[pure virtual]`

Draw function

Implemented in tlp::AbstractGlCurve, tlp::Gl2DRect, tlp::GlAbstractPolygon, tlp::GlBox, tlp::GlColorScale, tlp::GlComplexPolygon, tlp::GlComposite, tlp::GlConvexHull, tlp::GlCurve, tlp::GlCylinder, tlp::GlGrid, tlp::GlLabel, tlp::GlPolyQuad, tlp::GlRect, and tlp::GlSphere.

virtual BoundingBox tlp::GlSimpleEntity::getBoundingBox | ( |  | ) | `[inline, virtual]`

Return the entity boundingbox

Reimplemented in tlp::Gl2DRect, and tlp::GlLabel.

int tlp::GlSimpleEntity::getStencil | ( |  | ) | `[inline]`

Return stencil number of entity

virtual void tlp::GlSimpleEntity::getXML | ( | xmlNodePtr | rootNode | ) | `[pure virtual]`

Save the entity in Xml

Implemented in tlp::AbstractGlCurve, tlp::Gl2DRect, tlp::GlAbstractPolygon, tlp::GlBox, tlp::GlCircle, tlp::GlColorScale, tlp::GlComplexPolygon, tlp::GlComposite, tlp::GlConvexHull, tlp::GlCurve, tlp::GlCylinder, tlp::GlGraphComposite, tlp::GlGrid, tlp::GlLabel, tlp::GlPolyQuad, tlp::GlQuad, tlp::GlRect, and tlp::GlSphere.

bool tlp::GlSimpleEntity::isCheckByBoundingBoxVisitor | ( |  | ) | `[inline]`

Return if entity is check by boudingbox visitor

bool tlp::GlSimpleEntity::isVisible | ( |  | ) | `[inline]`

Return if entity is visible

virtual void tlp::GlSimpleEntity::removeLayerParent | ( | GlLayer * |  | ) | `[inline, virtual]`

remove a layer parent to this entity

Reimplemented in tlp::GlComposite.

void tlp::GlSimpleEntity::removeParent | ( | GlComposite * | composite | ) |

remove a parent to this entity

void tlp::GlSimpleEntity::setCheckByBoundingBoxVisitor | ( | bool | check | ) | `[inline]`

Set if the entity is check by boundingbox visitor

virtual void tlp::GlSimpleEntity::setStencil | ( | int | stencil | ) | `[inline, virtual]`

Set stencil number of the entity

Reimplemented in tlp::GlComposite.

virtual void tlp::GlSimpleEntity::setVisible | ( | bool | visible | ) | `[virtual]`

Set if entity is visible

virtual void tlp::GlSimpleEntity::setWithXML | ( | xmlNodePtr | rootNode | ) | `[pure virtual]`

Load entity with Xml

Implemented in tlp::AbstractGlCurve, tlp::Gl2DRect, tlp::GlAbstractPolygon, tlp::GlBox, tlp::GlColorScale, tlp::GlComplexPolygon, tlp::GlComposite, tlp::GlConvexHull, tlp::GlCurve, tlp::GlCylinder, tlp::GlGraphComposite, tlp::GlGrid, tlp::GlLabel, tlp::GlPolyQuad, tlp::GlQuad, tlp::GlRect, and tlp::GlSphere.

virtual void tlp::GlSimpleEntity::translate | ( | const Coord & |  | ) | `[inline, virtual]`

virtual fucntion : Translate entity of vector translation

Reimplemented in tlp::AbstractGlCurve, tlp::Gl2DRect, tlp::GlAbstractPolygon, tlp::GlAxis, tlp::GlBox, tlp::GlColorScale, tlp::GlComplexPolygon, tlp::GlComposite, tlp::GlConvexHull, tlp::GlCurve, tlp::GlCylinder, tlp::GlGrid, tlp::GlLabel, tlp::GlNominativeAxis, tlp::GlPolyQuad, and tlp::GlSphere.

## Member Data Documentation

BoundingBox tlp::GlSimpleEntity::boundingBox`[protected]`

bool tlp::GlSimpleEntity::checkByBoundingBoxVisitor`[protected]`

std::vector<GlComposite*> tlp::GlSimpleEntity::parents`[protected]`

int tlp::GlSimpleEntity::stencil`[protected]`

bool tlp::GlSimpleEntity::visible`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012